fn main() {
    let v: Vec<i8> = vec![10, 20, 30];
    let mut iter = v.iter();

    println!("v[0]: {:?}", iter.next());

    let v1: Option<&i8> = iter.next();
    println!("v[1]: {v1:?}");
    print_type_name(&v1);
}

fn print_type_name<T>(_: &T) {
    println!("{}", std::any::type_name::<T>());
}